/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl;

import com.topcoder.document.index.persistence.IndexPersistenceException;


/**
 * <p>
 * This is an exception that signals persistence configuration issues when instantiating or initializing persistence
 * instances.
 * </p>
 *
 * <p>
 * Note: Ideally this exception should go into the com.topcoder.document.index.persistence package but currently it
 * will be placed in the common com.topcoder.document.index.persistence.impl package.
 * </p>
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
public class PersistenceConfigurationException extends IndexPersistenceException {
    /**
     * <p>
     * Creates a new instance of <code>PersistenceConfigurationException</code> class with a detail error message.
     * </p>
     *
     * @param message a detail error message describing the error.
     */
    public PersistenceConfigurationException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>PersistenceConfigurationException</code> class with a detail error message and
     * the original exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     */
    public PersistenceConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }
}
