/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence;

import com.topcoder.document.index.persistence.impl.PersistenceConfigurationExceptionUnitTest;
import com.topcoder.document.index.persistence.impl.db.AbstractDBIndexPersistenceUnitTest;
import com.topcoder.document.index.persistence.impl.db.FastAccessDBIndexPersistenceUnitTest;
import com.topcoder.document.index.persistence.impl.db.SimpleAccessDBIndexPersistenceUnitTest;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceUnitTest;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * <p>
 * This test case aggregates all Unit test cases.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class UnitTests extends TestCase {
    /**
     * <p>
     * Creates a test suite of the tests contained in this class.
     * </p>
     *
     * @return a test suite of the tests contained in this class.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        // unit tests
        suite.addTestSuite(PersistenceConfigurationExceptionUnitTest.class);
        suite.addTestSuite(AbstractDBIndexPersistenceUnitTest.class);
        suite.addTestSuite(SimpleAccessDBIndexPersistenceUnitTest.class);
        suite.addTestSuite(FastAccessDBIndexPersistenceUnitTest.class);
        suite.addTestSuite(XmlIndexPersistenceUnitTest.class);

        // demo test
        suite.addTestSuite(DemoTest.class);

        return suite;
    }
}
